#pragma once
#include <string.h>
#include "worldtypes.h"
#include "tile.h"
#include "../file/asset.h"
#include "../util/string.h"

/** When loading a chunk, how many chars to offset (ASCII char to byte) */
#define CHUNK_TILE_LOAD_ASCII 48

/**
 * Loads a given chunk.
 * 
 * @param list World to load the chunk for.
 * @param chunk The chunk to load.
 * @param x X of the chunk.
 * @param y Y of the chunk.
 * @param z Z of the chunk.
 */
void chunkLoad(world_t *world, chunk_t *chunk, int32_t x, int32_t y, int32_t z);

/**
 * Unload a given chunk.
 * 
 * @param world World that the chunk belongs to.
 * @param chunk Chunk to unload.
 */
void chunkUnload(world_t *world, chunk_t *chunk);