/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "player.h"

void playerCreate(world_t *world, entity_t *entity) {
  // Setup the update state.
  entity->entityUpdate = &playerUpdate;
  entity->entityDispose = &playerDispose;

  world->entityPrimitives[entity->id] = quadCreate(0,
    0, 0, 0, 0,
    1, 1, 1, 1
  );
}

void playerUpdate(world_t *world, entity_t *entity, shader_t *shader,
  camera_t *camera
) {
  shaderUsePosition(shader, 0, 0, 0, 0, 0, 0);
  primitiveDraw(world->entityPrimitives[entity->id],
    0, world->entityPrimitives[entity->id]->indiceCount
  );
}

void playerDispose(world_t *world, entity_t *entity) {
  primitiveDispose(world->entityPrimitives[entity->id]);

  entity->entityDispose = NULL;
  entity->entityUpdate = NULL;
}